# Account pick

A decision block that lets the user choose an account.

The fiber will pause until the user has chosen an account, cancelled the dialog or the timeout expired.

The assigned account name can be used with various blocks that require authentication. The credentials stored within an account are secure and can not be directly accessed.

## Input arguments

- Account type — type of account to choose from, default is any.
- Timeout — time until the notification/dialog is automatically canceled, may be inaccurate as it’s affected power save features such as “doze”, default is no timeout.
- Notification channel — UUID of notification channel used for shown notification, default is the flow default or Flow.
- Show window — whether to show the dialog window directly without having to tap the notification. Requires the “appear atop of other apps or parts of the screen” privilege on Android 10+.

## Output variables

- Account name — variable to assign the name of the chosen account.
- Account type — variable to assign the type of account chosen.